Egret社区

导入粒子库不好用

2018-12-6 10:11
7111
5银子
很迷很迷很迷~

配置文件

配置文件

调用代码

调用代码

报错信息

报错信息

最佳答案

查看完整内容

需要将要反射的类挂载到 window 对象下
分享到 :
0 人收藏

11 个回复

倒序浏览
常歌行  官方团队 | 6 天前
登录需要优化 发表于 2018-12-6 13:42
网页上测试没有问题,但是放到微信开发者工具上和手机上就报错,

需要将要反射的类挂载到 window 对象下


UO~8RB{226D~HIYCV9D61BY.png
N~D}19I9CVQ_SQ`V(77H6D7.png
常歌行  官方团队 | 6 天前
http://developer.egret.com/cn/gi ... ructions/index.html
少了一个demo.min.js文件,路径改成 ./libs/particle
而且第三方库版本要与引擎版本一致
山猫  官方团队 | 6 天前
本帖最后由 山猫 于 2018-12-6 10:26 编辑

第三方库跟项目同级  {
      "name": "particle",
      "path": "../egret-game-library-5.1.x/particle/libsrc"
    }

山猫 发表于 2018-12-6 10:25
第三方库跟项目同级  {
      "name": "particle",
      "path": "../egret-game-library-5.1.x/particle/ ...

编译失败
问题.png
常歌行 发表于 2018-12-6 10:22
http://developer.egret.com/cn/github/egret-docs/extension/threes/instructions/index.html
少了一个dem ...

运行报错
问题2.png
问题3.png
山猫  官方团队 | 6 天前
你粒子库的版本号是多少,要跟引擎的一样



山猫  官方团队 | 6 天前
山猫 发表于 2018-12-6 11:01
你粒子库的版本号是多少,要跟引擎的一样

5.2.12  白鹭编译器也是5.2.12版本
常歌行  官方团队 | 6 天前

我这测试没有问题
OIYK)5SH{5Y5V)`M~N4XATG.png
NA5TSC(CXU`(CF_XF%0{JIO.png
9OU_21~U0N3FL16D2KWPR`4.png
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

小黑屋|京网文[2014]0791-191号|京ICP证150115号|Egret社区 ( 京ICP备14025619号

Powered by Discuz! X3.2 © 2001-2019 Comsenz Inc.

返回顶部